session_id
session_module_name
Session Functions
PHP Manual

# session_is_registered

(PHP 4, PHP 5)

session_is_registered — Find out whether a global variable is registered in a session

### Description

bool session_is_registered ( string `$name` )

Finds out whether a global variable is registered in a session.

Warning

This function has been DEPRECATED as of PHP 5.3.0. Relying on this feature is highly discouraged.

### Parameters

`name`

  The variable name.

### Return Values

session_is_registered() returns `TRUE` if there is a global variable with the name `name` registered in the current session, `FALSE` otherwise.

### Notes

> Note: If $_SESSION (or $HTTP_SESSION_VARS for PHP 4.0.6 or less) is used, use isset() to check a variable is registered in $_SESSION.

Caution

If you are using $_SESSION (or $HTTP_SESSION_VARS), do not use session_register(), session_is_registered() and session_unregister().

session_id
session_module_name
Session Functions
PHP Manual